package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrHygiene;

/**
 * 现场卫生Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrHygieneService 
{
    /**
     * 查询现场卫生
     * 
     * @param id 现场卫生ID
     * @return 现场卫生
     */
    public TPssrHygiene selectTPssrHygieneById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询现场卫生列表
     * 
     * @param tPssrHygiene 现场卫生
     * @return 现场卫生集合
     */
    public List<TPssrHygiene> selectTPssrHygieneList(TPssrHygiene tPssrHygiene);

    /**
     * 新增现场卫生
     * 
     * @param tPssrHygiene 现场卫生
     * @return 结果
     */
    public int insertTPssrHygiene(TPssrHygiene tPssrHygiene);

    /**
     * 修改现场卫生
     * 
     * @param tPssrHygiene 现场卫生
     * @return 结果
     */
    public int updateTPssrHygiene(TPssrHygiene tPssrHygiene);

    /**
     * 批量删除现场卫生
     * 
     * @param ids 需要删除的现场卫生ID
     * @return 结果
     */
    public int deleteTPssrHygieneByIds(Long[] ids);

    /**
     * 删除现场卫生信息
     * 
     * @param id 现场卫生ID
     * @return 结果
     */
    public int deleteTPssrHygieneById(Long id);
}
